
    <?php

    /**
     * Provide a admin area view for the plugin
     *
     * This file is used to markup the admin-facing aspects of the plugin.
     *
     * @package    Eyewear_prescription_form
     * @subpackage Eyewear_prescription_form/admin/partials
     */
    global $wpdb;
    $wpdb->show_errors();
    $glasses = $wpdb->get_results ( "
    SELECT * 
    FROM  ".$wpdb->prefix."glasses where 1" );
    $lenses = $wpdb->get_results ( "
    SELECT * 
    FROM  ".$wpdb->prefix."lens where 1" );
    $coatings = $wpdb->get_results ( "
    SELECT * 
    FROM  ".$wpdb->prefix."coatings where 1" );
    
    $initial_propertPrice_json = $wpdb->get_results ( "
    SELECT * 
    FROM  ".$wpdb->prefix."epf_properties where 1" );
    $initial_propertPrice_json = $initial_propertPrice_json[0]->data;
    $words_epf_dugudlabs_lng = $words_epf_dugudlabs[get_locale()];
    if($words_epf_dugudlabs_lng == null){
        $words_epf_dugudlabs_lng = $words_epf_dugudlabs["en_US"];
    }
    $defaultImage=plugin_dir_url( __FILE__ ).'images/upload.png';

    ?>
    <style>
        .card{
            max-width: none !important;
            margin-top: 0px !important;
            padding: 0px 0px 0px !important;
        }
        .epf-price-box{
            float: left;
            width: 60% !important;
            margin-left: 5%;
        }
    
        .epf-price-box-table{
            float: left;
            width: 25% !important;
            margin-left: 5%;
        }
        .epf-price-label{
            float: left;
        }
        .save-price-button{
            width: 29% !important;
            padding: 0px !important;
        }
        .save-btn-show{
            display: block !important;
        }
        .save-btn-hide{
            display: none !important;
            transition: opacity 1s ease-out !important;
            opacity: 0;
        }
        .loader {
            position: fixed;
            left: 0px;
            top: 0px;
            width: 100%;
            height: 100%;
            z-index: 99999;
            opacity:0.50;
            background: #F5F5F5 url(images/ajax-loader.gif) center center no-repeat;
        }
        .epf_setting_cb_multi_success_msg{
            color:green;
        }
        </style>
        <script>
    
        var initial_propertPrice_json = '<?php echo $initial_propertPrice_json;?>';
        var initial_propertPrice_obj = JSON.parse(initial_propertPrice_json);
        function show_price(side, property){
            let prop_value = jQuery('#' + side + '-' + property + '-SELECT' + ' option:selected').text();
            jQuery('#' + side + '-' + property + '-PRICE').val(initial_propertPrice_obj[side][property][prop_value]['price']);
        }
    
    function save_value(side, property) {
        jQuery('#' + side + '-' + property).addClass("save-btn-hide");
        jQuery('#' + side + '-' + property).removeClass("save-btn-show");
        let prop_value = jQuery('#' + side + '-' + property + '-SELECT' + ' option:selected').text();
        let new_price = jQuery('#' + side + '-' + property + '-PRICE').val();
        console.log(prop_value + '-' + new_price);
        initial_propertPrice_obj[side][property][prop_value]['price'] = new_price;
        console.log(initial_propertPrice_obj);
        initial_propertPrice_obj['LEFT'][property][prop_value]['price'] = new_price;
        jQuery('#epc_property_string').val(JSON.stringify(initial_propertPrice_obj));
    // for left 
       
        
    }
    
    
    </script>
    <div class="epf_accordion"><?php echo $words_epf_dugudlabs_lng["Add Prescription"];?></div>
    <div class="epf_accordion_panel">
        <form class="form-inline" action="" method="post">
            <div id="priscription_box"  style='overflow-x:auto;'>
                <table id="prescription_table" class="table-responsive-sm table-borderless" style="margin-bottom:10px;">
                    <thead>
                        <tr>
                            <th>Rx</th>
                            <th><?php echo $words_epf_dugudlabs_lng["Sphere (SPH)"];?></th>
                            <th><?php echo $words_epf_dugudlabs_lng["Cylinder (CYL)"];?></th>
                            <th><?php echo $words_epf_dugudlabs_lng["AXIS"];?></th>
                            <th><?php echo $words_epf_dugudlabs_lng["Addition (near) ADD"];?></th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td><?php echo $words_epf_dugudlabs_lng["Right (OD)"];?></td>
                            <td>
                                <div class="form-group">
                                    <?php 
                                    $sphereRange = range(-15.0,10.0,0.25);
                                    $obj = new stdClass();
                                    $obj->select= $words_epf_dugudlabs_lng["select"];
                                    foreach ($sphereRange as $cm) {
                                        $val = sprintf("%+.2f",$cm);
                                        $obj->$val = $val;
                                    }
                                    $selectText =  '<select onchange="show_price(\'RIGHT\',\'SPH\');" id="RIGHT-SPH-SELECT" name="RIGHT-SPH" class="form-control" id="sel1">';
                                    foreach ( $obj as $key => $value )
                                    {
                                        if($key!='')
                                            $selectText=$selectText. '<option name='.$key.'>'.$value.'</option>';
                                    }
                                    $selectText=$selectText.'</select>';
                                    echo $selectText;
                                    ?>
                                    <input id="RIGHT-SPH-PRICE"  class="form-control epf-price-box-table">
                                </div>
                            </td>
                            <td>
                                <div class="form-group">
                                    <?php 
                                    $sphereRange = range(-6.0,6.0,0.25);
                                    $obj = new stdClass();
                                    $obj->select= $words_epf_dugudlabs_lng["select"];
                                    $right_sph_json="{";
                                    foreach ($sphereRange as $cm) {
                                        $val = sprintf("%+.2f",$cm);
                                        $obj->$val = $val;}
                                    $selectText =  '<select onchange="show_price(\'RIGHT\',\'CYL\');" id="RIGHT-CYL-SELECT" name="RIGHT-CYL" class="form-control" id="sel1">';
                                    foreach ( $obj as $key => $value )
                                    {
                                        if($key!='')
                                            $selectText=$selectText. '<option name='.$key.'>'.$value.'</option>';
                                    }
                                    $selectText=$selectText.'</select>';
                                    echo $selectText;
                                    ?>
                                    <input id="RIGHT-CYL-PRICE"  type="number" class="form-control epf-price-box-table">
                                </div>
                            </td>
                            <td>
                                <div class="form-group">
                                    <?php 
                                        $sphereRange = range(0,180,1);
                                        $obj = new stdClass();
                                        $obj->select= $words_epf_dugudlabs_lng["select"];
                                        $obj->select= $words_epf_dugudlabs_lng["select"];
                                        foreach ($sphereRange as $cm) {
                                            $val = $cm;
                                            $obj->$val = $val;
                                        }
                                        $selectText =  '<select onchange="show_price(\'RIGHT\',\'AXIS\');" id="RIGHT-AXIS-SELECT" name="RIGHT-AXIS" class="form-control" id="sel1">';
                                        foreach ( $obj as $key => $value )
                                        {
                                            if($key!='')
                                                $selectText=$selectText. '<option name='.$key.'>'.$value.'</option>';
                                        }
                                        $selectText=$selectText.'</select>';
                                        echo $selectText;
                                        ?>
                                        <input id="RIGHT-AXIS-PRICE"  type="number" class="form-control epf-price-box-table">
                                </div>
                            </td>
                            <td>
                                <div class="form-group">
                                    <?php 
                                    $sphereRange = range(1,3,0.25);
                                    $obj = new stdClass();
                                    $obj->select= $words_epf_dugudlabs_lng["select"];
    
                                    foreach ($sphereRange as $cm) {
                                        $val = sprintf("%.2f",$cm);
                                        $obj->$val = $val;
                                    }
                                    $selectText =  '<select onchange="show_price(\'RIGHT\',\'ADD\');" id="RIGHT-ADD-SELECT" name="RIGHT-ADD" class="form-control" id="sel1">';
                                    foreach ( $obj as $key => $value )
                                    {
                                        if($key!='')
                                            $selectText=$selectText. '<option name='.$key.'>'.$value.'</option>';
                                    }
                                    $selectText=$selectText.'</select>';
                                    echo $selectText;
                                    ?>
                                    <input id="RIGHT-ADD-PRICE"  type="number" class="form-control epf-price-box-table">
                                </div>
                            </td>
                        </tr>
                    </tbody>
                </table> 
                <input type="text" name="epc_property_string" style="display: none;" id="epc_property_string" />
                <!-- <button name="submitButton" type="submit" class="submitButton btn btn-primary"><?php echo $words_epf_dugudlabs_lng["Save"];?></button> -->
            </div>
        </form>
    </div>
    <div class="epf_accordion"><?php echo $words_epf_dugudlabs_lng["Add your glasses"];?></div>
    <div class="epf_accordion_panel">
        <div id="glasses_box"  style='overflow-x:auto;'>
            <div class="epf_row" style="display: inline-block;">
                <div class="epf_column" id="epf_glass_column">
                    <div class="epf_card">
                        <img class="epf_color_img_upload_icon" id="epf_glass_img_upload_icon" src="<?php echo $defaultImage;?>">
                        <div class="container">
                            <b>Glass Name: <input  type="text" name="epf_glass_name" id="epf_glass_name"></b></br>
                            <b>Extra Cost: <input  type="number" id="epf_glass_price" name="epf_glass_price" ></b></br>
                            <b class="epf_add_glass_errors" id="epf_add_glass_errors"></b>
                            <b class="epf_add_glasss_info" id="epf_add_glasss_info"></b>
                            <p><a class="epf_button">Add New Glass</a></p>
                        </div>
                    </div>
                </div>
                <?php foreach($glasses as $glass){
                ?>
                <div class="epf_column" id="epf_glass_column_<?php echo $glass->id;?>">
                    <div class="epf_card">
                        <img class="epf_color_img_upload_icon" id="epf_glass_img_upload_icon_uneditable_<?php echo $glass->id;?>" src="<?php echo plugin_dir_url( __FILE__ ).'images/glassType.png'?>">
                        <div class="container">
                            <b>Glass Name: <b id="glass_name_<?php echo $glass->id;?>" ><?php echo $glass->name ; ?></b><input value="<?php echo $glass->name ; ?>" disabled style="display:none;" type="text" name="epf_glass_name_<?php echo $glass->id;?>" id="epf_glass_name_<?php echo $glass->id;?>"></b></br>
                            <b>Extra Cost: <b id="glass_price_<?php echo $glass->id;?>"><?php echo wc_price($glass->price ); ?></b> <input  value="<?php echo $glass->price  ; ?>" disabled style="display:none;" type="number" name="epf_glass_price_<?php echo $glass->id;?>" id="epf_glass_price_<?php echo $glass->id;?>" ></b></br>
                            <b class="epf_add_glass_errors" id="epf_add_glass_error_<?php echo $glass->id;?>"></b>
                            <b class="epf_add_glass_info" id="epf_add_glass_info_<?php echo $glass->id;?>"></b>
                            <p><a  id="epf_glass_edit_btn_<?php echo $glass->id;?>" class="epf_button">Edit</a></p>
                            <p><a  id="epf_glass_delete_btn_<?php echo $glass->id;?>" class="epf_button epf_delete_btn">Delete</a></p>
                            <p><a  style="display:none;" id="epf_glass_save_btn_<?php echo $glass->id;?>" class="epf_button epf_save_btn">Save</a></p>
                        </div>
                    </div>
                </div>
                <?php } ?>
            </div>
        </div>
    </div>
    <div class="epf_accordion"><?php echo $words_epf_dugudlabs_lng["Add your Lens"];?></div>
    <div class="epf_accordion_panel">
        <div id="lenses_box"  style='overflow-x:auto;'>
            <div class="epf_row" style="display: inline-block;">
                <div class="epf_column" id="epf_lens_column">
                    <div class="epf_card">
                        <img onclick="upload_epf_image('epf_lens_img_upload_icon');" class="epf_color_img_upload_icon" id="epf_lens_img_upload_icon" src="<?php echo $defaultImage;?>">
                        <div class="container">
                            <b>Lens Name: <input  type="text" name="epf_lens_name" id="epf_lens_name"></b></br>
                            <b>Extra Cost: <input  type="number" id="epf_lens_price" name="epf_lens_price" ></b></br>
                            <b class="epf_add_lens_errors" id="epf_add_lens_errors"></b>
                            <b class="epf_add_lenss_info" id="epf_add_lenss_info"></b>
                            <p><a class="epf_button">Add New Lens</a></p>
                        </div>
                    </div>
                </div>
                <?php foreach($lenses as $lens){
                ?>
                <div class="epf_column" id="epf_lens_column_<?php echo $lens->id;?>">
                    <div class="epf_card">
                        <img class="epf_color_img_upload_icon" id="epf_lens_img_upload_icon_uneditable_<?php echo $lens->id;?>" src="<?php echo plugin_dir_url( __FILE__ ).'images/lensType.png'?>">
                        <div class="container">
                            <b>Lens Name: <b id="lens_name_<?php echo $lens->id;?>" ><?php echo $lens->name ; ?></b><input value="<?php echo $lens->name ; ?>" disabled style="display:none;" type="text" name="epf_lens_name_<?php echo $lens->id;?>" id="epf_lens_name_<?php echo $lens->id;?>"></b></br>
                            <b>Extra Cost: <b id="lens_price_<?php echo $lens->id;?>"><?php echo wc_price($lens->price ); ?></b> <input  value="<?php echo $lens->price  ; ?>" disabled style="display:none;" type="number" name="epf_lens_price_<?php echo $lens->id;?>" id="epf_lens_price_<?php echo $lens->id;?>" ></b></br>
                            <b class="epf_add_lens_errors" id="epf_add_lens_error_<?php echo $lens->id;?>"></b>
                            <b class="epf_add_lens_info" id="epf_add_lens_info_<?php echo $lens->id;?>"></b>
                            <p><a  id="epf_lens_edit_btn_<?php echo $lens->id;?>" class="epf_button">Edit</a></p>
                            <p><a  id="epf_lens_delete_btn_<?php echo $lens->id;?>" class="epf_button epf_delete_btn">Delete</a></p>
                            <p><a  style="display:none;" id="epf_lens_save_btn_<?php echo $lens->id;?>" class="epf_button epf_save_btn">Save</a></p>
                        </div>
                    </div>
                </div>
                <?php } ?>
            </div>
        </div>
    </div>
    <div class="epf_accordion"><?php echo $words_epf_dugudlabs_lng["Add your lens coating"];?></div>
    <div class="epf_accordion_panel">   
        <div id="coatinges_box"  style='overflow-x:auto;'>
            <div class="epf_row" style="display: inline-block;">
                <div class="epf_column" id="epf_coating_column">
                    <div class="epf_card">
                        <img onclick="upload_epf_image('epf_coating_img_upload_icon');" class="epf_color_img_upload_icon" id="epf_coating_img_upload_icon" src="<?php echo $defaultImage;?>">
                        <div class="container">
                            <b>Coating Name: <input  type="text" name="epf_coating_name" id="epf_coating_name"></b></br>
                            <b>Extra Cost: <input  type="number" id="epf_coating_price" name="epf_coating_price" ></b></br>
                            <b class="epf_add_coating_errors" id="epf_add_coating_errors"></b>
                            <b class="epf_add_coatings_info" id="epf_add_coatings_info"></b>
                            <p><a  class="epf_button">Add New Coating</a></p>
                        </div>
                    </div>
                </div>
                <?php foreach($coatings as $coating){
                ?>
                <div class="epf_column" id="epf_coating_column_<?php echo $coating->id;?>">
                    <div class="epf_card">
                        <img class="epf_color_img_upload_icon" id="epf_coating_img_upload_icon_uneditable_<?php echo $coating->id;?>" src="<?php echo plugin_dir_url( __FILE__ ).'images/coatingType.png'?>">
                        <div class="container">
                            <b>Coating Name: <b id="coating_name_<?php echo $coating->id;?>" ><?php echo $coating->name ; ?></b><input value="<?php echo $coating->name ; ?>" disabled style="display:none;" type="text" name="epf_coating_name_<?php echo $coating->id;?>" id="epf_coating_name_<?php echo $coating->id;?>"></b></br>
                            <b>Extra Cost: <b id="coating_price_<?php echo $coating->id;?>"><?php echo wc_price($coating->price ); ?></b> <input  value="<?php echo $coating->price  ; ?>" disabled style="display:none;" type="number" name="epf_coating_price_<?php echo $coating->id;?>" id="epf_coating_price_<?php echo $coating->id;?>" ></b></br>
                            <b class="epf_add_coating_errors" id="epf_add_coating_error_<?php echo $coating->id;?>"></b>
                            <b class="epf_add_coating_info" id="epf_add_coating_info_<?php echo $coating->id;?>"></b>
                            <p><a  id="epf_coating_edit_btn_<?php echo $coating->id;?>" class="epf_button">Edit</a></p>
                            <p><a  id="epf_coating_delete_btn_<?php echo $coating->id;?>" class="epf_button epf_delete_btn">Delete</a></p>
                            <p><a  style="display:none;" id="epf_coating_save_btn_<?php echo $coating->id;?>" class="epf_button epf_save_btn">Save</a></p>
                        </div>
                    </div>
                </div>
                <?php } ?>
            </div>
        </div>
    </div>

    <div class="col-sm-4" style="border: green; border-style: dashed;padding-left: 0px;padding-right: 0px;">
        <h2 style="text-align: center;">Premium Features</h2>
        <ol>
            <li><strong>Update Image of Each Card</strong></li>
            <li><strong>Update Name of Each Card</strong></li>
            <li><strong>Update description of Each Card</strong></li>
            <li><strong>Add price for lens/SPH/CYL/ADD/PD</strong></li>
            <li><strong>Disable/Eable lens to show on product page</strong></li>
            <li><strong>Add unlimited lenes using Add New Panel.</strong></li>
            <li><strong>Add product color for each product</strong></li>
            <li><strong>PD Measurement Feature</strong></li>
            <li><strong>Multiple selection of card</strong></li>
        </ol>
        <a href="https://www.dugudlabs.com/specform">Checkout premium version</a>
    </div>
    
    
       
        