<?php

/**
 * Provide a public-facing view for the plugin
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       https://www.dugudlabs.com
 * @since      1.0.0
 *
 * @package    Eyewear_prescription_form
 * @subpackage Eyewear_prescription_form/public/partials
 */
global $wpdb;
$wpdb->show_errors();
global $post;
$epf_step=0;
$product = wc_get_product( $post->ID );
$productId = $product->get_id();
$arg=1;
$productColorsKeys = get_post_meta($post->ID , 'epf_product_color_keys' ,true);
$productColors=[];
if($productColorsKeys!="" && $productColorsKeys!=false){
    foreach($productColorsKeys as $key){
            array_push($productColors,get_post_meta($post->ID , $key ,true));
    }
}
$tableName=$wpdb->prefix.'glasses';
$glasses = $wpdb->get_results($wpdb->prepare("SELECT * FROM   $tableName WHERE %d",$arg));
$tableName=$wpdb->prefix.'lens';
$lenses = $wpdb->get_results($wpdb->prepare("SELECT * FROM  $tableName WHERE %d",$arg));
$tableName=$wpdb->prefix.'coatings';
$coatings = $wpdb->get_results($wpdb->prepare("SELECT * FROM  $tableName WHERE %d",$arg));

$epc_string = get_option( 'epc_string', '{"GlassType":{"distance":{"price":"0","disabled":"disabled"},"nearvision":{"price":"0","disabled":"disabled"},"bifocal":{"price":"0","disabled":"disabled"},"progressive":{"price":"0","disabled":"disabled"}},"LensType":{"BASICLENSES":{"price":"0","disabled":"disabled"},"MIDINDEX":{"price":"0","disabled":"disabled"},"HIGHINDEX":{"price":"0","disabled":"disabled"},"74_HIGHINDEX":{"price":"0","disabled":"disabled"}},"LensCoating":{"STANDARD":{"price":"0","disabled":"disabled"},"MULTICOATING":{"price":"0","disabled":"disabled"},"POLARIZED":{"price":"0","disabled":"disabled"},"PHOTOCHROMIC":{"price":"0","disabled":"disabled"},"COMPUTERLENS":{"price":"0","disabled":"disabled"},"ANTIREFLECTIVE":{"price":"0","disabled":"disabled"}}}' );
$epc_price=json_decode($epc_string,true);
$initial_propertPrice = get_option( 'epc_property_string', '{"RIGHT":{"SPH":{"-15.00":{"price":"0"},"-14.75":{"price":"0"},"-14.50":{"price":"0"},"-14.25":{"price":"0"},"-14.00":{"price":"0"},"-13.75":{"price":"0"},"-13.50":{"price":"0"},"-13.25":{"price":"0"},"-13.00":{"price":"0"},"-12.75":{"price":"0"},"-12.50":{"price":"0"},"-12.25":{"price":"0"},"-12.00":{"price":"0"},"-11.75":{"price":"0"},"-11.50":{"price":"0"},"-11.25":{"price":"0"},"-11.00":{"price":"0"},"-10.75":{"price":"0"},"-10.50":{"price":"0"},"-10.25":{"price":"0"},"-10.00":{"price":"0"},"-9.75":{"price":"0"},"-9.50":{"price":"0"},"-9.25":{"price":"0"},"-9.00":{"price":"0"},"-8.75":{"price":"0"},"-8.50":{"price":"0"},"-8.25":{"price":"0"},"-8.00":{"price":"0"},"-7.75":{"price":"0"},"-7.50":{"price":"0"},"-7.25":{"price":"0"},"-7.00":{"price":"0"},"-6.75":{"price":"0"},"-6.50":{"price":"0"},"-6.25":{"price":"0"},"-6.00":{"price":"0"},"-5.75":{"price":"0"},"-5.50":{"price":"0"},"-5.25":{"price":"0"},"-5.00":{"price":"0"},"-4.75":{"price":"0"},"-4.50":{"price":"0"},"-4.25":{"price":"0"},"-4.00":{"price":"0"},"-3.75":{"price":"0"},"-3.50":{"price":"0"},"-3.25":{"price":"0"},"-3.00":{"price":"0"},"-2.75":{"price":"0"},"-2.50":{"price":"0"},"-2.25":{"price":"0"},"-2.00":{"price":"0"},"-1.75":{"price":"0"},"-1.50":{"price":"0"},"-1.25":{"price":"0"},"-1.00":{"price":"0"},"-0.75":{"price":"0"},"-0.50":{"price":"0"},"-0.25":{"price":"0"},"+0.00":{"price":"0"},"+0.25":{"price":"0"},"+0.50":{"price":"0"},"+0.75":{"price":"0"},"+1.00":{"price":"0"},"+1.25":{"price":"0"},"+1.50":{"price":"0"},"+1.75":{"price":"0"},"+2.00":{"price":"0"},"+2.25":{"price":"0"},"+2.50":{"price":"0"},"+2.75":{"price":"0"},"+3.00":{"price":"0"},"+3.25":{"price":"0"},"+3.50":{"price":"0"},"+3.75":{"price":"0"},"+4.00":{"price":"0"},"+4.25":{"price":"0"},"+4.50":{"price":"0"},"+4.75":{"price":"0"},"+5.00":{"price":"0"},"+5.25":{"price":"0"},"+5.50":{"price":"0"},"+5.75":{"price":"0"},"+6.00":{"price":"0"},"+6.25":{"price":"0"},"+6.50":{"price":"0"},"+6.75":{"price":"0"},"+7.00":{"price":"0"},"+7.25":{"price":"0"},"+7.50":{"price":"0"},"+7.75":{"price":"0"},"+8.00":{"price":"0"},"+8.25":{"price":"0"},"+8.50":{"price":"0"},"+8.75":{"price":"0"},"+9.00":{"price":"0"},"+9.25":{"price":"0"},"+9.50":{"price":"0"},"+9.75":{"price":"0"},"+10.00":{"price":"0"}},"CYL":{"-6.00":{"price":"0"},"-5.75":{"price":"0"},"-5.50":{"price":"0"},"-5.25":{"price":"0"},"-5.00":{"price":"0"},"-4.75":{"price":"0"},"-4.50":{"price":"0"},"-4.25":{"price":"0"},"-4.00":{"price":"0"},"-3.75":{"price":"0"},"-3.50":{"price":"0"},"-3.25":{"price":"0"},"-3.00":{"price":"0"},"-2.75":{"price":"0"},"-2.50":{"price":"0"},"-2.25":{"price":"0"},"-2.00":{"price":"0"},"-1.75":{"price":"0"},"-1.50":{"price":"0"},"-1.25":{"price":"0"},"-1.00":{"price":"0"},"-0.75":{"price":"0"},"-0.50":{"price":"0"},"-0.25":{"price":"0"},"+0.00":{"price":"0"},"+0.25":{"price":"0"},"+0.50":{"price":"0"},"+0.75":{"price":"0"},"+1.00":{"price":"0"},"+1.25":{"price":"0"},"+1.50":{"price":"0"},"+1.75":{"price":"0"},"+2.00":{"price":"0"},"+2.25":{"price":"0"},"+2.50":{"price":"0"},"+2.75":{"price":"0"},"+3.00":{"price":"0"},"+3.25":{"price":"0"},"+3.50":{"price":"0"},"+3.75":{"price":"0"},"+4.00":{"price":"0"},"+4.25":{"price":"0"},"+4.50":{"price":"0"},"+4.75":{"price":"0"},"+5.00":{"price":"0"},"+5.25":{"price":"0"},"+5.50":{"price":"0"},"+5.75":{"price":"0"},"+6.00":{"price":"0"}},"AXIS":{"0":{"price":"0"},"1":{"price":"0"},"2":{"price":"0"},"3":{"price":"0"},"4":{"price":"0"},"5":{"price":"0"},"6":{"price":"0"},"7":{"price":"0"},"8":{"price":"0"},"9":{"price":"0"},"10":{"price":"0"},"11":{"price":"0"},"12":{"price":"0"},"13":{"price":"0"},"14":{"price":"0"},"15":{"price":"0"},"16":{"price":"0"},"17":{"price":"0"},"18":{"price":"0"},"19":{"price":"0"},"20":{"price":"0"},"21":{"price":"0"},"22":{"price":"0"},"23":{"price":"0"},"24":{"price":"0"},"25":{"price":"0"},"26":{"price":"0"},"27":{"price":"0"},"28":{"price":"0"},"29":{"price":"0"},"30":{"price":"0"},"31":{"price":"0"},"32":{"price":"0"},"33":{"price":"0"},"34":{"price":"0"},"35":{"price":"0"},"36":{"price":"0"},"37":{"price":"0"},"38":{"price":"0"},"39":{"price":"0"},"40":{"price":"0"},"41":{"price":"0"},"42":{"price":"0"},"43":{"price":"0"},"44":{"price":"0"},"45":{"price":"0"},"46":{"price":"0"},"47":{"price":"0"},"48":{"price":"0"},"49":{"price":"0"},"50":{"price":"0"},"51":{"price":"0"},"52":{"price":"0"},"53":{"price":"0"},"54":{"price":"0"},"55":{"price":"0"},"56":{"price":"0"},"57":{"price":"0"},"58":{"price":"0"},"59":{"price":"0"},"60":{"price":"0"},"61":{"price":"0"},"62":{"price":"0"},"63":{"price":"0"},"64":{"price":"0"},"65":{"price":"0"},"66":{"price":"0"},"67":{"price":"0"},"68":{"price":"0"},"69":{"price":"0"},"70":{"price":"0"},"71":{"price":"0"},"72":{"price":"0"},"73":{"price":"0"},"74":{"price":"0"},"75":{"price":"0"},"76":{"price":"0"},"77":{"price":"0"},"78":{"price":"0"},"79":{"price":"0"},"80":{"price":"0"},"81":{"price":"0"},"82":{"price":"0"},"83":{"price":"0"},"84":{"price":"0"},"85":{"price":"0"},"86":{"price":"0"},"87":{"price":"0"},"88":{"price":"0"},"89":{"price":"0"},"90":{"price":"0"},"91":{"price":"0"},"92":{"price":"0"},"93":{"price":"0"},"94":{"price":"0"},"95":{"price":"0"},"96":{"price":"0"},"97":{"price":"0"},"98":{"price":"0"},"99":{"price":"0"},"100":{"price":"0"},"101":{"price":"0"},"102":{"price":"0"},"103":{"price":"0"},"104":{"price":"0"},"105":{"price":"0"},"106":{"price":"0"},"107":{"price":"0"},"108":{"price":"0"},"109":{"price":"0"},"110":{"price":"0"},"111":{"price":"0"},"112":{"price":"0"},"113":{"price":"0"},"114":{"price":"0"},"115":{"price":"0"},"116":{"price":"0"},"117":{"price":"0"},"118":{"price":"0"},"119":{"price":"0"},"120":{"price":"0"},"121":{"price":"0"},"122":{"price":"0"},"123":{"price":"0"},"124":{"price":"0"},"125":{"price":"0"},"126":{"price":"0"},"127":{"price":"0"},"128":{"price":"0"},"129":{"price":"0"},"130":{"price":"0"},"131":{"price":"0"},"132":{"price":"0"},"133":{"price":"0"},"134":{"price":"0"},"135":{"price":"0"},"136":{"price":"0"},"137":{"price":"0"},"138":{"price":"0"},"139":{"price":"0"},"140":{"price":"0"},"141":{"price":"0"},"142":{"price":"0"},"143":{"price":"0"},"144":{"price":"0"},"145":{"price":"0"},"146":{"price":"0"},"147":{"price":"0"},"148":{"price":"0"},"149":{"price":"0"},"150":{"price":"0"},"151":{"price":"0"},"152":{"price":"0"},"153":{"price":"0"},"154":{"price":"0"},"155":{"price":"0"},"156":{"price":"0"},"157":{"price":"0"},"158":{"price":"0"},"159":{"price":"0"},"160":{"price":"0"},"161":{"price":"0"},"162":{"price":"0"},"163":{"price":"0"},"164":{"price":"0"},"165":{"price":"0"},"166":{"price":"0"},"167":{"price":"0"},"168":{"price":"0"},"169":{"price":"0"},"170":{"price":"0"},"171":{"price":"0"},"172":{"price":"0"},"173":{"price":"0"},"174":{"price":"0"},"175":{"price":"0"},"176":{"price":"0"},"177":{"price":"0"},"178":{"price":"0"},"179":{"price":"0"},"180":{"price":"0"}},"ADD":{"1.00":{"price":"0"},"1.25":{"price":"0"},"1.50":{"price":"0"},"1.75":{"price":"0"},"2.00":{"price":"0"},"2.25":{"price":"0"},"2.50":{"price":"0"},"2.75":{"price":"0"},"3.00":{"price":"0"}},"PD":{"23":{"price":"0"},"24":{"price":"0"},"25":{"price":"0"},"26":{"price":"0"},"27":{"price":"0"},"28":{"price":"0"},"29":{"price":"0"},"30":{"price":"0"},"31":{"price":"0"},"32":{"price":"0"},"33":{"price":"0"},"34":{"price":"0"},"35":{"price":"0"},"36":{"price":"0"},"37":{"price":"0"},"38":{"price":"0"},"39":{"price":"0"},"40":{"price":"0"}}},"LEFT":{"SPH":{"-15.00":{"price":"0"},"-14.75":{"price":"0"},"-14.50":{"price":"0"},"-14.25":{"price":"0"},"-14.00":{"price":"0"},"-13.75":{"price":"0"},"-13.50":{"price":"0"},"-13.25":{"price":"0"},"-13.00":{"price":"0"},"-12.75":{"price":"0"},"-12.50":{"price":"0"},"-12.25":{"price":"0"},"-12.00":{"price":"0"},"-11.75":{"price":"0"},"-11.50":{"price":"0"},"-11.25":{"price":"0"},"-11.00":{"price":"0"},"-10.75":{"price":"0"},"-10.50":{"price":"0"},"-10.25":{"price":"0"},"-10.00":{"price":"0"},"-9.75":{"price":"0"},"-9.50":{"price":"0"},"-9.25":{"price":"0"},"-9.00":{"price":"0"},"-8.75":{"price":"0"},"-8.50":{"price":"0"},"-8.25":{"price":"0"},"-8.00":{"price":"0"},"-7.75":{"price":"0"},"-7.50":{"price":"0"},"-7.25":{"price":"0"},"-7.00":{"price":"0"},"-6.75":{"price":"0"},"-6.50":{"price":"0"},"-6.25":{"price":"0"},"-6.00":{"price":"0"},"-5.75":{"price":"0"},"-5.50":{"price":"0"},"-5.25":{"price":"0"},"-5.00":{"price":"0"},"-4.75":{"price":"0"},"-4.50":{"price":"0"},"-4.25":{"price":"0"},"-4.00":{"price":"0"},"-3.75":{"price":"0"},"-3.50":{"price":"0"},"-3.25":{"price":"0"},"-3.00":{"price":"0"},"-2.75":{"price":"0"},"-2.50":{"price":"0"},"-2.25":{"price":"0"},"-2.00":{"price":"0"},"-1.75":{"price":"0"},"-1.50":{"price":"0"},"-1.25":{"price":"0"},"-1.00":{"price":"0"},"-0.75":{"price":"0"},"-0.50":{"price":"0"},"-0.25":{"price":"0"},"+0.00":{"price":"0"},"+0.25":{"price":"0"},"+0.50":{"price":"0"},"+0.75":{"price":"0"},"+1.00":{"price":"0"},"+1.25":{"price":"0"},"+1.50":{"price":"0"},"+1.75":{"price":"0"},"+2.00":{"price":"0"},"+2.25":{"price":"0"},"+2.50":{"price":"0"},"+2.75":{"price":"0"},"+3.00":{"price":"0"},"+3.25":{"price":"0"},"+3.50":{"price":"0"},"+3.75":{"price":"0"},"+4.00":{"price":"0"},"+4.25":{"price":"0"},"+4.50":{"price":"0"},"+4.75":{"price":"0"},"+5.00":{"price":"0"},"+5.25":{"price":"0"},"+5.50":{"price":"0"},"+5.75":{"price":"0"},"+6.00":{"price":"0"},"+6.25":{"price":"0"},"+6.50":{"price":"0"},"+6.75":{"price":"0"},"+7.00":{"price":"0"},"+7.25":{"price":"0"},"+7.50":{"price":"0"},"+7.75":{"price":"0"},"+8.00":{"price":"0"},"+8.25":{"price":"0"},"+8.50":{"price":"0"},"+8.75":{"price":"0"},"+9.00":{"price":"0"},"+9.25":{"price":"0"},"+9.50":{"price":"0"},"+9.75":{"price":"0"},"+10.00":{"price":"0"}},"CYL":{"-6.00":{"price":"0"},"-5.75":{"price":"0"},"-5.50":{"price":"0"},"-5.25":{"price":"0"},"-5.00":{"price":"0"},"-4.75":{"price":"0"},"-4.50":{"price":"0"},"-4.25":{"price":"0"},"-4.00":{"price":"0"},"-3.75":{"price":"0"},"-3.50":{"price":"0"},"-3.25":{"price":"0"},"-3.00":{"price":"0"},"-2.75":{"price":"0"},"-2.50":{"price":"0"},"-2.25":{"price":"0"},"-2.00":{"price":"0"},"-1.75":{"price":"0"},"-1.50":{"price":"0"},"-1.25":{"price":"0"},"-1.00":{"price":"0"},"-0.75":{"price":"0"},"-0.50":{"price":"0"},"-0.25":{"price":"0"},"+0.00":{"price":"0"},"+0.25":{"price":"0"},"+0.50":{"price":"0"},"+0.75":{"price":"0"},"+1.00":{"price":"0"},"+1.25":{"price":"0"},"+1.50":{"price":"0"},"+1.75":{"price":"0"},"+2.00":{"price":"0"},"+2.25":{"price":"0"},"+2.50":{"price":"0"},"+2.75":{"price":"0"},"+3.00":{"price":"0"},"+3.25":{"price":"0"},"+3.50":{"price":"0"},"+3.75":{"price":"0"},"+4.00":{"price":"0"},"+4.25":{"price":"0"},"+4.50":{"price":"0"},"+4.75":{"price":"0"},"+5.00":{"price":"0"},"+5.25":{"price":"0"},"+5.50":{"price":"0"},"+5.75":{"price":"0"},"+6.00":{"price":"0"}},"AXIS":{"0":{"price":"0"},"1":{"price":"0"},"2":{"price":"0"},"3":{"price":"0"},"4":{"price":"0"},"5":{"price":"0"},"6":{"price":"0"},"7":{"price":"0"},"8":{"price":"0"},"9":{"price":"0"},"10":{"price":"0"},"11":{"price":"0"},"12":{"price":"0"},"13":{"price":"0"},"14":{"price":"0"},"15":{"price":"0"},"16":{"price":"0"},"17":{"price":"0"},"18":{"price":"0"},"19":{"price":"0"},"20":{"price":"0"},"21":{"price":"0"},"22":{"price":"0"},"23":{"price":"0"},"24":{"price":"0"},"25":{"price":"0"},"26":{"price":"0"},"27":{"price":"0"},"28":{"price":"0"},"29":{"price":"0"},"30":{"price":"0"},"31":{"price":"0"},"32":{"price":"0"},"33":{"price":"0"},"34":{"price":"0"},"35":{"price":"0"},"36":{"price":"0"},"37":{"price":"0"},"38":{"price":"0"},"39":{"price":"0"},"40":{"price":"0"},"41":{"price":"0"},"42":{"price":"0"},"43":{"price":"0"},"44":{"price":"0"},"45":{"price":"0"},"46":{"price":"0"},"47":{"price":"0"},"48":{"price":"0"},"49":{"price":"0"},"50":{"price":"0"},"51":{"price":"0"},"52":{"price":"0"},"53":{"price":"0"},"54":{"price":"0"},"55":{"price":"0"},"56":{"price":"0"},"57":{"price":"0"},"58":{"price":"0"},"59":{"price":"0"},"60":{"price":"0"},"61":{"price":"0"},"62":{"price":"0"},"63":{"price":"0"},"64":{"price":"0"},"65":{"price":"0"},"66":{"price":"0"},"67":{"price":"0"},"68":{"price":"0"},"69":{"price":"0"},"70":{"price":"0"},"71":{"price":"0"},"72":{"price":"0"},"73":{"price":"0"},"74":{"price":"0"},"75":{"price":"0"},"76":{"price":"0"},"77":{"price":"0"},"78":{"price":"0"},"79":{"price":"0"},"80":{"price":"0"},"81":{"price":"0"},"82":{"price":"0"},"83":{"price":"0"},"84":{"price":"0"},"85":{"price":"0"},"86":{"price":"0"},"87":{"price":"0"},"88":{"price":"0"},"89":{"price":"0"},"90":{"price":"0"},"91":{"price":"0"},"92":{"price":"0"},"93":{"price":"0"},"94":{"price":"0"},"95":{"price":"0"},"96":{"price":"0"},"97":{"price":"0"},"98":{"price":"0"},"99":{"price":"0"},"100":{"price":"0"},"101":{"price":"0"},"102":{"price":"0"},"103":{"price":"0"},"104":{"price":"0"},"105":{"price":"0"},"106":{"price":"0"},"107":{"price":"0"},"108":{"price":"0"},"109":{"price":"0"},"110":{"price":"0"},"111":{"price":"0"},"112":{"price":"0"},"113":{"price":"0"},"114":{"price":"0"},"115":{"price":"0"},"116":{"price":"0"},"117":{"price":"0"},"118":{"price":"0"},"119":{"price":"0"},"120":{"price":"0"},"121":{"price":"0"},"122":{"price":"0"},"123":{"price":"0"},"124":{"price":"0"},"125":{"price":"0"},"126":{"price":"0"},"127":{"price":"0"},"128":{"price":"0"},"129":{"price":"0"},"130":{"price":"0"},"131":{"price":"0"},"132":{"price":"0"},"133":{"price":"0"},"134":{"price":"0"},"135":{"price":"0"},"136":{"price":"0"},"137":{"price":"0"},"138":{"price":"0"},"139":{"price":"0"},"140":{"price":"0"},"141":{"price":"0"},"142":{"price":"0"},"143":{"price":"0"},"144":{"price":"0"},"145":{"price":"0"},"146":{"price":"0"},"147":{"price":"0"},"148":{"price":"0"},"149":{"price":"0"},"150":{"price":"0"},"151":{"price":"0"},"152":{"price":"0"},"153":{"price":"0"},"154":{"price":"0"},"155":{"price":"0"},"156":{"price":"0"},"157":{"price":"0"},"158":{"price":"0"},"159":{"price":"0"},"160":{"price":"0"},"161":{"price":"0"},"162":{"price":"0"},"163":{"price":"0"},"164":{"price":"0"},"165":{"price":"0"},"166":{"price":"0"},"167":{"price":"0"},"168":{"price":"0"},"169":{"price":"0"},"170":{"price":"0"},"171":{"price":"0"},"172":{"price":"0"},"173":{"price":"0"},"174":{"price":"0"},"175":{"price":"0"},"176":{"price":"0"},"177":{"price":"0"},"178":{"price":"0"},"179":{"price":"0"},"180":{"price":"0"}},"ADD":{"1.00":{"price":"0"},"1.25":{"price":"0"},"1.50":{"price":"0"},"1.75":{"price":"0"},"2.00":{"price":"0"},"2.25":{"price":"0"},"2.50":{"price":"0"},"2.75":{"price":"0"},"3.00":{"price":"0"}},"PD":{"23":{"price":"0"},"24":{"price":"0"},"25":{"price":"0"},"26":{"price":"0"},"27":{"price":"0"},"28":{"price":"0"},"29":{"price":"0"},"30":{"price":"0"},"31":{"price":"0"},"32":{"price":"0"},"33":{"price":"0"},"34":{"price":"0"},"35":{"price":"0"},"36":{"price":"0"},"37":{"price":"0"},"38":{"price":"0"},"39":{"price":"0"},"40":{"price":"0"}}}}');
$words_epf_dugudlabs_lng = $words_epf_dugudlabs[get_locale()];
if($words_epf_dugudlabs_lng == null){
    $words_epf_dugudlabs_lng = $words_epf_dugudlabs["en_US"];
}
?>
<script>
var initial_propertPrice_json = '<?php echo $initial_propertPrice;?>';
var initial_propertPrice_obj = JSON.parse(initial_propertPrice_json);

    console.log(initial_propertPrice_obj);
    function show_price_span(side,property){
        let prop_value = jQuery('#' + side + '-' + property + '-SELECT' + ' option:selected').text();
        if(initial_propertPrice_obj[side][property][prop_value]['price']!=0)
            jE('#'+side+'-'+property+'-'+'SPAN').html('Price: '+initial_propertPrice_obj[side][property][prop_value]['price']+'<?php echo get_woocommerce_currency_symbol();?>');
        else    
            jE('#'+side+'-'+property+'-'+'SPAN').html('');

    }
</script>
<!-- This file should primarily consist of HTML with a little bit of PHP. -->

<?php 
if(count($glasses)>0){ $epf_step+=1; ?>
<div class="epf_accordion"><?php echo $epf_step.". ".$words_epf_dugudlabs_lng["Add your glasses"];?></div>
    <?php 
        $multiSelectionFlag= 'false';
    ?>
    <div class="epf_accordion_panel">
        <?php
            if($multiSelectionFlag=="true"){?>
            <p class='epf_multi_selection_info'><?php echo $words_epf_dugudlabs_lng["Multi selection text"];?></p>
        <?php
            }
        ?>
        <?php $size= sizeof($glasses);
        foreach($glasses as $glass){?>
            <div class="epf_column">
                <div class="epf_card" id="<?php echo  'glass_'.$glass->id;?>" onclick="select_card_type(this,'<?php echo  $glass->id;?>','GlassType','<?php echo $multiSelectionFlag?>')">
                    <img class="epf_color_img_upload_icon" src="<?php echo plugin_dir_url( __FILE__ ).'images/glassType.png'?>">
                    <p class="epf_card-text"><?php echo $glass->name;?></p>
                    <p class="epf_card-text"><?php echo $glass->price.get_woocommerce_currency_symbol(); ?></p>
                </div>
            </div>
        <?php } ?>
    </div>
<?php } ?>
<?php 
if(count($lenses)>0){ $epf_step+=1; ?>
<div class="epf_accordion"><?php echo $epf_step.". ".$words_epf_dugudlabs_lng["Add your Lens"];?></div>
    <?php 
        $multiSelectionFlag= 'false';
    ?>
<div class="epf_accordion_panel">
    <?php
        if($multiSelectionFlag=="true"){?>
        <p class='epf_multi_selection_info'><?php echo $words_epf_dugudlabs_lng["Multi selection text"];?></p>
        <?php
            }
    ?>
    <?php $size= sizeof($lenses);
    foreach($lenses as $lens){?>
        <div class="epf_column">
            <div class="epf_card" id="<?php echo  'lens_'.$lens->id;?>" onclick="select_card_type(this,'<?php echo  $lens->id;?>','LensType','<?php echo $multiSelectionFlag?>')">
                <img class="epf_color_img_upload_icon" src="<?php echo plugin_dir_url( __FILE__ ).'images/lensType.png'?>">
                <p class="epf_card-text"><?php echo $lens->name;?></p>
                <p class="epf_card-text"><?php echo $lens->price.get_woocommerce_currency_symbol(); ?></p>
            </div>
        </div>
    <?php } ?>
</div>
<?php }
if(count($coatings)>0){ $epf_step+=1;?>
<div class="epf_accordion"><?php echo $epf_step.". ".$words_epf_dugudlabs_lng["Add your lens coating"];?></div>
    <?php 
        $multiSelectionFlag= 'false';
    ?>
<div class="epf_accordion_panel">
    <?php
        if($multiSelectionFlag=="true"){?>
        <p class='epf_multi_selection_info'><?php echo $words_epf_dugudlabs_lng["Multi selection text"];?></p>
    <?php
        }
    ?>
    <?php $size= sizeof($coatings);
    foreach($coatings as $coating){?>
        <div class="epf_column">
            <div class="epf_card"  id="<?php echo  'coating_'.$coating->id;?>"  onclick="select_card_type(this,'<?php echo  $coating->id;?>','LensCoating','<?php echo $multiSelectionFlag?>')" >
                <img class="epf_color_img_upload_icon" src="<?php echo plugin_dir_url( __FILE__ ).'images/coatingType.png'?>">
                <p class="epf_card-text"><?php echo $coating->name;?></p>
                <p class="epf_card-text"><?php echo $coating->price.get_woocommerce_currency_symbol(); ?></p>
            </div>
        </div>
    <?php } ?>
</div>

<?php }$epf_step+=1;
?>
<div class="epf_accordion"><?php echo $epf_step.". ".$words_epf_dugudlabs_lng["Add Prescription"];?></div>
<div class="epf_accordion_panel">
    <div id="priscription_box"  style='overflow-x:auto;font-size: 14px;'>
        <table id="prescription_table" class="table-responsive-sm table-borderless" style="margin-bottom:10px;">
            <thead>
                <tr>
                    <th>Rx</th>
                    <th><?php echo $words_epf_dugudlabs_lng["Sphere (SPH)"];?></th>
                    <th><?php echo $words_epf_dugudlabs_lng["Cylinder (CYL)"];?></th>
                    <th><?php echo $words_epf_dugudlabs_lng["AXIS"];?></th>
                    <th><?php echo $words_epf_dugudlabs_lng["Addition (near) ADD"];?></th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td><?php echo $words_epf_dugudlabs_lng["Right (OD)"];?></td>
                    <td>
                        <div class="form-group">
                            <?php 
                            $sphereRange = range(-15.0,10.0,0.25);
                            $obj = new stdClass();
                            $obj->select= $words_epf_dugudlabs_lng["select"];
                            foreach ($sphereRange as $cm) {
                                $val = sprintf("%+.2f",$cm);
                                $obj->$val = $val;
                            }
                            $selectText =  '<select onchange="show_price_span(\'RIGHT\',\'SPH\');" name="RIGHT-SPH" class="form-control" id="RIGHT-SPH-SELECT">';
                            foreach ( $obj as $key => $value )
                            {
                                if($key!='')
                                    $selectText=$selectText. '<option name='.$key.'>'.$value.'</option>';
                            }
                            $selectText=$selectText.'</select>';
                            echo $selectText;
                            ?>
                            <span id="RIGHT-SPH-SPAN"></span>
                        </div>
                    </td>
                    <td>
                        <div class="form-group">
                            <?php 
                            $sphereRange = range(-6.0,6.0,0.25);
                            $obj = new stdClass();
                            $obj->select= $words_epf_dugudlabs_lng["select"];
                            foreach ($sphereRange as $cm) {
                                $val = sprintf("%+.2f",$cm);
                                $obj->$val = $val;
                            }
                            $selectText =  '<select onchange="show_price_span(\'RIGHT\',\'CYL\');" name="RIGHT-CYL" class="form-control" id="RIGHT-CYL-SELECT">';
                            foreach ( $obj as $key => $value )
                            {
                                if($key!='')
                                    $selectText=$selectText. '<option name='.$key.'>'.$value.'</option>';
                            }
                            $selectText=$selectText.'</select>';
                            echo $selectText;
                            ?>
                            <span id="RIGHT-CYL-SPAN"></span>
                        </div>
                    </td>
                    <td>
                    <div class="form-group">
                    <?php 
                            $sphereRange = range(0,180,1);
                            $obj = new stdClass();
                            $obj->select= $words_epf_dugudlabs_lng["select"];
                            $obj->select= $words_epf_dugudlabs_lng["select"];
                            foreach ($sphereRange as $cm) {
                                $val = $cm;
                                $obj->$val = $val;
                            }
                            $selectText =  '<select onchange="show_price_span(\'RIGHT\',\'AXIS\');" name="RIGHT-AXIS" class="form-control" id="RIGHT-AXIS-SELECT">';
                            foreach ( $obj as $key => $value )
                            {
                                if($key!='')
                                    $selectText=$selectText. '<option name='.$key.'>'.$value.'</option>';
                            }
                            $selectText=$selectText.'</select>';
                            echo $selectText;
                            ?>
                            <span id="RIGHT-AXIS-SPAN"></span>
                        </div>
                    </td>
                    <td>
                    <div class="form-group">
                    <?php 
                            $sphereRange = range(1,3,0.25);
                            $obj = new stdClass();
                            $obj->select= $words_epf_dugudlabs_lng["select"];

                            foreach ($sphereRange as $cm) {
                                $val = sprintf("%.2f",$cm);
                                $obj->$val = $val;
                            }
                            $selectText =  '<select onchange="show_price_span(\'RIGHT\',\'ADD\');" name="RIGHT-ADD" class="form-control" id="RIGHT-ADD-SELECT">';
                            foreach ( $obj as $key => $value )
                            {
                                if($key!='')
                                    $selectText=$selectText. '<option name='.$key.'>'.$value.'</option>';
                            }
                            $selectText=$selectText.'</select>';
                            echo $selectText;
                            ?>
                            <span id="RIGHT-ADD-SPAN"></span>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td><?php echo $words_epf_dugudlabs_lng["Left (OS)"];?></td>
                    <td>
                    <div class="form-group">
                    <?php 
                            $sphereRange = range(-15.0,10.0,0.25);
                            $obj = new stdClass();
                            $obj->select= $words_epf_dugudlabs_lng["select"];
                            foreach ($sphereRange as $cm) {
                                $val = sprintf("%+.2f",$cm);
                                $obj->$val = $val;
                            }
                            $selectText =  '<select onchange="show_price_span(\'LEFT\',\'SPH\');" name="LEFT-SPH" class="form-control" id="LEFT-SPH-SELECT">';
                            foreach ( $obj as $key => $value )
                            {
                                if($key!='')
                                    $selectText=$selectText. '<option name='.$key.'>'.$value.'</option>';
                            }
                            $selectText=$selectText.'</select>';
                            echo $selectText;
                            ?>
                            <span id="LEFT-SPH-SPAN"></span>
                        </div>
                    </td>
                    <td>
                    <div class="form-group">
                    <?php 
                            $sphereRange = range(-6.0,6.0,0.25);
                            $obj = new stdClass();
                            $obj->select= $words_epf_dugudlabs_lng["select"];
                            foreach ($sphereRange as $cm) {
                                $val = sprintf("%+.2f",$cm);
                                $obj->$val = $val;
                            }
                            $selectText =  '<select onchange="show_price_span(\'LEFT\',\'CYL\');" name="LEFT-CYL" class="form-control" id="LEFT-CYL-SELECT">';
                            foreach ( $obj as $key => $value )
                            {
                                if($key!='')
                                    $selectText=$selectText. '<option name='.$key.'>'.$value.'</option>';
                            }
                            $selectText=$selectText.'</select>';
                            echo $selectText;
                            ?>
                            <span id="LEFT-CYL-SPAN"></span>
                        </div>
                    </td>
                    <td>
                        <div class="form-group">
                            <?php 
                            $sphereRange = range(1,180.0,1);
                            $obj = new stdClass();
                            $obj->select= $words_epf_dugudlabs_lng["select"];
                            foreach ($sphereRange as $cm) {
                                $val = $cm;
                                $obj->$val = $val;
                            }
                            $selectText =  '<select onchange="show_price_span(\'LEFT\',\'AXIS\');" name="LEFT-AXIS" class="form-control" id="LEFT-AXIS-SELECT">';
                            foreach ( $obj as $key => $value )
                            {
                                if($key!='')
                                    $selectText=$selectText. '<option name='.$key.'>'.$value.'</option>';
                            }
                            $selectText=$selectText.'</select>';
                            echo $selectText;
                            ?>
                            <span id="LEFT-AXIS-SPAN"></span>
                        </div>
                    </td>
                    <td>
                    <div class="form-group">
                    <?php 
                            $sphereRange = range(1,3,0.25);
                            $obj = new stdClass();
                            $obj->select= $words_epf_dugudlabs_lng["select"];
                            foreach ($sphereRange as $cm) {
                                $val = sprintf("%.2f",$cm);
                                $obj->$val = $val;
                            }
                            $selectText =  '<select onchange="show_price_span(\'LEFT\',\'ADD\');" name="LEFT-ADD" class="form-control" id="LEFT-ADD-SELECT">';
                            foreach ( $obj as $key => $value )
                            {
                                if($key!='')
                                    $selectText=$selectText. '<option name='.$key.'>'.$value.'</option>';
                            }
                            $selectText=$selectText.'</select>';
                            echo $selectText;
                            ?>
                            <span id="LEFT-ADD-SPAN"></span>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table> 
    </div>
</div>
<?php $epf_step+=1;?>
<div class="epf_accordion"><?php echo $epf_step.". ".$words_epf_dugudlabs_lng["Add PD"];?></div>
<div class="epf_accordion_panel">
    <div class="epf_pd_radio_row">
        <input class="epf_pd_radio" onclick="show_pd_box('dual-pd-box');" type="radio" name="pd_type"  value="double"><span class="radio_span_pd"><?php echo $words_epf_dugudlabs_lng["Dual PD"];?></span>
        <input class="epf_pd_radio" onclick="show_pd_box('single-pd-box');" type="radio" name="pd_type"  value="single"><span class="radio_span_pd"><?php echo $words_epf_dugudlabs_lng["Single PD"];?></span>
    </div>
    <div id="dual-pd-box" style="display:none;">
        <div class="form-group">
        <?php echo $words_epf_dugudlabs_lng["Right Eye PD:"];?>
            <?php 
                $sphereRange = range(23,40,1);
                $obj = new stdClass();
                $obj->select= $words_epf_dugudlabs_lng["select"];
                foreach ($sphereRange as $cm) {
                    $val = $cm;
                    $obj->$val = $val;
                }
                $selectText =  '<select name="RIGHT-PD" class="form-control" id="RIGHT-PD-SELECT">';
                foreach ( $obj as $key => $value )
                {
                    if($key!='')
                        $selectText=$selectText. '<option name='.$key.'>'.$value.'</option>';
                }
                $selectText=$selectText.'</select>';
                echo $selectText;
                ?>
        </div>
        <div class="form-group">
        <?php echo $words_epf_dugudlabs_lng["Left Eye PD:"];?>
            <?php 
                $sphereRange = range(23,40,1);
                $obj = new stdClass();
                $obj->select= $words_epf_dugudlabs_lng["select"];
                foreach ($sphereRange as $cm) {
                    $val = $cm;
                    $obj->$val = $val;
                }
                $selectText =  '<select name="LEFT-PD" class="form-control" id="LEFT-PD-SELECT">';
                foreach ( $obj as $key => $value )
                {
                    if($key!='')
                        $selectText=$selectText. '<option name='.$key.'>'.$value.'</option>';
                }
                $selectText=$selectText.'</select>';
                echo $selectText;
                ?>
        </div>
    </div>
    <div id="single-pd-box" style="display:none;">
        <div class="form-group">
        <?php echo $words_epf_dugudlabs_lng["Single PD"];?>
            <?php 
                $sphereRange = range(35,65,1);
                $obj = new stdClass();
                $obj->select= $words_epf_dugudlabs_lng["select"];
                foreach ($sphereRange as $cm) {
                    $val = $cm;
                    $obj->$val = $val;
                }
                $selectText =  '<select name="SINGLE-PD" class="form-control" id="RIGHT-PD-SELECT">';
                foreach ( $obj as $key => $value )
                {
                    if($key!='')
                        $selectText=$selectText. '<option name='.$key.'>'.$value.'</option>';
                }
                $selectText=$selectText.'</select>';
                echo $selectText;
                ?>
        </div>
    </div>
</div>
<div class="modal-footer">
    <span style="font-size:7px"><?php echo $words_epf_dugudlabs_lng["Powered By:-"];?> <a href="https://dugudlabs.com/specform"><?php echo $words_epf_dugudlabs_lng["Eyewear Priscription Form Plugin"];?></a></span>
</div>


        
    
                            

